# $Id: time.rb,v 1.1 2002/04/11 09:22:30 knu Exp $

require 'features/ruby18/base'

class Time
=begin
  alias  __ruby16_zone zone
  alias  __ruby16_to_a to_a

  def zone
    gmt? ? 'UTC' : __ruby16_zone
  end

  def to_a
    a = __ruby16_to_a
    a[9].replace(zone)
    a
  end
=end

  def getgm
    dup.gmtime
  end
  alias :getutc :getgm

  def getlocal
    dup.localtime
  end
end
